/*------------------------------------*\
    #MENU-MAIN-TOGGLE
\*------------------------------------*/
/**
 * Main navigation toggle component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-main-toggle,
%#{$inuit-namespace}menu-main-toggle {
    height: $drk-base-unit-small;
    left: 0;
    position: absolute;
    top: 0;
    width: $drk-base-unit-small * 3;

    @include drk-hover {
        text-decoration: none;
    }

    @media #{$large-up}{
        height: $drk-base-unit;
        width: $drk-base-unit * 3;
    }
}

.#{$inuit-namespace}menu-main-toggle__icon-wrap,
%#{$inuit-namespace}menu-main-toggle__icon-wrap {
    @extend %o-icon-button;
    display: none;

    &.is-active {
        display: inline-block;
    }

    .#{$inuit-namespace}menu-main-toggle:hover &,
    .#{$inuit-namespace}menu-main-toggle:focus & {
        background: darken($drk-color-blue, 20);
    }
}

.#{$inuit-namespace}menu-main-toggle__icon,
%#{$inuit-namespace}menu-main-toggle__icon {
    @extend %o-icon-button__icon;

    padding: 9px;

    @media #{$large-up}{
        padding: 12px;
    }
}

.#{$inuit-namespace}menu-main-toggle__label,
%#{$inuit-namespace}menu-main-toggle__label {
    color: $drk-color-blue;
    display: inline-block;
    line-height: $drk-base-unit-small;
    padding: .2rem .5rem .3rem;
    vertical-align: top;
    width: $drk-base-unit-small * 1.5;

    @media #{$large-up}{
        height: $drk-base-unit;
        width: $drk-base-unit * 1.5;
        line-height: $drk-base-unit;
    }
}
